package com.gingersoft.gsa.cloud.main.mvp.model.bean;

import java.util.List;

/**
 * Created by Wyh on 2020/2/26.
 */
public class MainOrderInfoChartBean {

    /**
     * success : true
     * sysTime : 1582688486497
     * data : [{"date":"2020-02-25","items":[{"person":"0","amount":249.3,"hours":"11","count":5,"date":"2020-02-25"},{"person":"0","amount":2.2,"hours":"12","count":1,"date":"2020-02-25"},{"person":"2","amount":630,"hours":"13","count":8,"date":"2020-02-25"},{"person":"12","amount":600.4,"hours":"14","count":10,"date":"2020-02-25"},{"person":"11","amount":1,"hours":"18","count":2,"date":"2020-02-25"},{"person":"0","amount":2.1,"hours":"19","count":1,"date":"2020-02-25"},{"person":"0","amount":232.28,"hours":"20","count":2,"date":"2020-02-25"}]},{"date":"2020-02-26","items":[{"person":"6","amount":1949,"hours":"10","count":3,"date":"2020-02-26"},{"person":"1","amount":1,"hours":"11","count":1,"date":"2020-02-26"}]}]
     */

    private boolean success;
    private long sysTime;
    private List<DataBean> data;

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * date : 2020-02-25
         * items : [{"person":"0","amount":249.3,"hours":"11","count":5,"date":"2020-02-25"},{"person":"0","amount":2.2,"hours":"12","count":1,"date":"2020-02-25"},{"person":"2","amount":630,"hours":"13","count":8,"date":"2020-02-25"},{"person":"12","amount":600.4,"hours":"14","count":10,"date":"2020-02-25"},{"person":"11","amount":1,"hours":"18","count":2,"date":"2020-02-25"},{"person":"0","amount":2.1,"hours":"19","count":1,"date":"2020-02-25"},{"person":"0","amount":232.28,"hours":"20","count":2,"date":"2020-02-25"}]
         */

        private String date;
        private List<ItemsBean> items;

        public String getDate() {
            return date;
        }

        public void setDate(String date) {
            this.date = date;
        }

        public List<ItemsBean> getItems() {
            return items;
        }

        public void setItems(List<ItemsBean> items) {
            this.items = items;
        }

        public static class ItemsBean {
            /**
             * person : 0
             * amount : 249.3
             * hours : 11
             * count : 5
             * date : 2020-02-25
             */

            private String person;
            private double amount;
            private String hours;
            private int count;
            private String date;

            public String getPerson() {
                return person;
            }

            public void setPerson(String person) {
                this.person = person;
            }

            public double getAmount() {
                return amount;
            }

            public void setAmount(double amount) {
                this.amount = amount;
            }

            public String getHours() {
                return hours;
            }

            public void setHours(String hours) {
                this.hours = hours;
            }

            public int getCount() {
                return count;
            }

            public void setCount(int count) {
                this.count = count;
            }

            public String getDate() {
                return date;
            }

            public void setDate(String date) {
                this.date = date;
            }
        }
    }
}
